org.apache.pdfbox.pdmodel

## Enum PDPageContentStream.AppendMode

- java.lang.Object
- - java.lang.Enum<PDPageContentStream.AppendMode>
  - - org.apache.pdfbox.pdmodel.PDPageContentStream.AppendMode

All Implemented Interfaces:
  Serializable, Comparable<PDPageContentStream.AppendMode>

Enclosing class:
  PDPageContentStream

    public static enum PDPageContentStream.AppendMode
    extends Enum<PDPageContentStream.AppendMode>

This is to choose what to do with the stream: overwrite, append or prepend.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`APPEND` Append the content stream after all existing page content streams.
`OVERWRITE` Overwrite the existing page content streams.
`PREPEND` Insert before all other page content streams.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isOverwrite()`
`boolean` `isPrepend()`
`static PDPageContentStream.AppendMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDPageContentStream.AppendMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OVERWRITE

    public static final PDPageContentStream.AppendMode OVERWRITE

Overwrite the existing page content streams.

#### APPEND

    public static final PDPageContentStream.AppendMode APPEND

Append the content stream after all existing page content streams.

#### PREPEND

    public static final PDPageContentStream.AppendMode PREPEND

Insert before all other page content streams.

### Method Detail

#### values

    public static PDPageContentStream.AppendMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDPageContentStream.AppendMode c : PDPageContentStream.AppendMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDPageContentStream.AppendMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isOverwrite

    public boolean isOverwrite()

#### isPrepend

    public boolean isPrepend()